# README.md

> Author: Qingwang Chen
>
> Email: [qwch20@fudan.edu.cn](mailto:qwch20@fudan.edu.cn)
>
> Last Updates: 18/08/2021

#### Brief Introduction

For RNA-seq data, from bams to AS Information files.

#### Requirements

- choppy
- Ali-Cloud
- Linux

```
# 激活choppy环境
$ source activate choppy (open-choppy-env)

# 第一次安装
$ choppy install chenqingwang/SplAdder-merge
# 非第一次安装
$ choppy install chenqingwang/SplAdder-merge -f 

# 查询已安装APP
$ choppy apps
```

#### Quick Start

```
# 准备 samples.csv 文件
$ choppy samples chenqingwang/SplAdder-merge-latest > samples.csv
# 准备无默认参数的samples.csv 文件
$ choppy samples --no-default chenqingwang/SplAdder-merge-latest > samples.csv

# 提交任务
$ choppy batch chenqingwang/SplAdder-merge-latest samples.json -p Your_project_name -l Your_label

# 查询任务运行状况
$ choppy query -L Your_label | grep "status"

# 查询失败任务
$ choppy search -s Failed -p Your_project_name -u chenqingwang --short-format

# 结果文件地址
$ oss://choppy-cromwell-result/test-choppy/Your_project_name/
```

#### Input File
Input file samples.json should be in the form of json. For example:
```
{
	"bam": [
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bam",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bam",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bam"
        ],
	"bai": [
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bai",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bai",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.bai"
        ],
	"pickle": [
          "oss://choppy-cromwell-result/test-choppy/..._xxx.pickle",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.pickle",
          "oss://choppy-cromwell-result/test-choppy/..._xxx.pickle"
        ],
	"sample_id": "B13150xx"
}
```
PS: sample_id is necessary for Choppy system