task spladder {
    String sample_id
    Array[File] bam
    Array[File] bai
    Array[File] pickle
    File reference_gtf_file
    

    String docker
    String cluster
    String disk_size

    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/spladder_out/spladder
                  
        for i in ${sep=" " bam}
		do
        echo $i >> alignment.txt
		done                  

        for i in ${sep=" " bai}
		do
        echo $i >> alignment_bai.txt
		done                  
          
        for i in ${sep=" " pickle}
		do
        ln -s $i ${sample_id}/spladder_out/spladder/
        ls ${sample_id}/spladder_out/spladder/ >> pickle.txt
		done
		
		spladder build -o ${sample_id}/spladder_out \
          --annotation ${reference_gtf_file} \
          --bams alignment.txt \
          --confidence 2 \
          --merge-strat merge_graphs \
          --validate-sg \
          --readlen 150 \
          --parallel 4 \
          --event-types exon_skip,intron_retention,alt_3prime,alt_5prime,mutex_exons,mult_exon_skip
          
          
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 800"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File fileList = "fileList.txt"
        File alignment = "alignment.txt"
        File alignment_bai = "alignment_bai.txt"
        File pickle_txt = "pickle.txt"
        Array[File] AS_gff = glob("${sample_id}/spladder_out/*.gff3")
        Array[File] AS_pickle = glob("${sample_id}/spladder_out/*.pickle")
        Array[File] AS_gz = glob("${sample_id}/spladder_out/*.gz")
        Array[File] AS_hdf5 = glob("${sample_id}/spladder_out/*.hdf5")
        Array[File] spladder = glob("${sample_id}/spladder_out/spladder/*")
        Array[File] tmp = glob("${sample_id}/spladder_out/tmp/*")
    }
}